我对于连接到API以及使用OAuth2Service通常是很陌生的。 以下内容已经使我有些问题了一段时间,我已经完全停下来了。 我的代码如下:

from rauth import OAuth2Service

OAUTH_CONSUMER_KEY = 'mykey'
OAUTH_SECRET = 'myecret'

request_token_url = 'https://api.login.yahoo.com/oauth/v2/get_request_token'
authorize_url = 'https://api.login.yahoo.com/oauth/v2/request_auth'
access_token_url = 'https://api.login.yahoo.com/oauth/v2/get_token'

yahoo = OAuth2Service(client_id=OAUTH_CONSUMER_KEY,\
                      client_secret=OAUTH_SECRET,\
                      name='yahoo',\
                      access_token_url=access_token_url,\
                      authorize_url=authorize_url,\
                      #request_token_url=request_token_url,\
                      base_url='https://api.login.yahoo.com/oauth/v2/')

print ('Visit this URL in your browser: ' + yahoo.get_authorize_url())

code = input('Enter code parameter (code=something) from URL: '

当我转到授权的url页面时,系统会提示我输入代码,但我不知道如何获取代码。

我从rauth页面( https://github.com/litl/rauth/blob/master/examples/github-cli.py )上的示例中摘了最后一部分,但我不理解有关我需要更改的内容的评论也有“东西”。

我发现了一些使用OAuth1Service的示例,但是当我尝试使用OAuth1时总是收到以下错误

Traceback (most recent call last):
  File "C:\Python34\lib\site-packages\rauth\service.py", line 21, in process_token_request
    return tuple(data[key] for key in args)
  File "C:\Python34\lib\site-packages\rauth\service.py", line 21, in <genexpr>
    return tuple(data[key] for key in args)
KeyError: 'oauth_token'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "yhandlertest.py", line 23, in <module>
    rtoken, rtoken_secret = yahoo.get_request_token(params={'oauth_callback':     CALL_BACK})
  File "C:\Python34\lib\site-packages\rauth\service.py", line 244, in get_request_token
    process_token_request(r, decoder, key_token, key_token_secret)
  File "C:\Python34\lib\site-packages\rauth\service.py", line 24, in     process_token_request
    raise KeyError(PROCESS_TOKEN_ERROR.format(key=bad_key, raw=r.content))
KeyError: "Decoder failed to handle oauth_token with data as returned by provider. A         different decoder may be needed. Provider returned: b'oauth_problem=consumer_key_unknown'

因此,似乎yahoo仅允许使用OAuth2,因此非常感谢您提供有关进展的任何帮助。

  ask by user1274037 translate from so

本文未有回复,本站智能推荐:

1回复

使用Rauth和Django正确创建OAuth2Service

我正在使用rauth对带区连接进行身份验证。 为此,我需要实例化一个OAuth2Service以便在多个视图中使用。 现在,我的views文件看起来很像这样(并且可以工作),但是这感觉很不对: 我的问题是,我觉得将“ service”变量放在视图之外有点不对劲,但是我不确定我应该如何
2回复

你如何与Django一起使用rauth?

在OAuth网站rauth中提到的python lib似乎很简单,也是最好用的。 所以,我想在Django中使用它并且无法实际实现它。 这是我的问题。 现在,当用户打开页面时,它会直接重定向并要求用户允许或拒绝..如果用户允许,我们会在redirect-url获取授权码 要
1回复

使用OAuth2的Yahoo Fantasy Sports示例

我想构建一个应用程序来查询我的Yahoo!中的数据。 幻想联盟,但不能通过三脚OAuth身份验证,并希望有人可以给我一个快速演示,或指向我相关的教程。 我愿意使用NodeJS,Python或PHP。 我已经注册了API并获得了消费者密钥和消费者密钥。 他们的文档包含两个PHP
1回复

无法使用Yahoo Fantasy Sports API查找统计信息

https://developer.yahoo.com/fantasysports/guide/game-resource.html 因此,在API指南的stat_categories下,有一组ID, https://fantasysports.yahooapis.com/fanta
1回复

Rauth库更改-Python

对于Rauth库所做的更改,我很难过,我想知道有人能帮上忙。 首先,我这样创建一个Rauth包装器(这仅仅是一个示例,而不是我的实际代码): 然后,我正确地进行授权,并且它返回一个令牌,然后使用该access_token进行会话。 我检查了访问令牌是否存在。 问题是,当我
2回复

Yahoo BOSS API的OAuth问题

我正在尝试使用一些查询字符串来调用Yahoo BOSS API,如此处所述 。 除非查询中没有空格,否则一切工作正常。 我正在使用URLEncoder.encode(q, "UTF-8")对查询字符串进行编码。 但是,只要查询字符串中有空格,请求就会失败,并显示“ Please pro
1回复

雅虎幻想体育API

有人还在使用Yahoo Fantasy Sports API吗? 我有一个去年使用过的应用程序,根本没有更改我的代码,现在当我尝试运行它时,它返回500内部错误。 我曾经通过YQL控制台测试事物,但是不再可用。 https://developer.yahoo.com/yql/
1回复

如何在Python中使用React并保持前端和后端分离? [重复]

这个问题已经在这里有了答案: 从Flask视图返回JSON响应 9个答案 我使用React作为frontend ,使用Python&Flask作为backend使用Rauth作为OAuth2进行Facebook登录,并在db中存储每个用户的详细信息,并使用flask
1回复

使用Google provider和python3进行Rauth

我将rauth库与flask,python3和google oauth一起使用时遇到一些问题,python2可以正常工作。 它说TypeError:JSON对象必须是str,而不是'bytes' 这是日志错误: 我在这里找到了Issue问题 ,并尝试将字节转换为字符串
2回复

Oauth2 Yahoo Gemini API

我无法通过我的C#控制台(桌面)应用程序调用Yahoo Gemini API来访问Yahoo Gemini Advertising。 以下是我使用的步骤: 在https://developer.yahoo.com/apps/create/上创建已安装的应用程序。 这给了我{Cl